| Disk ARchive 2.7.14 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Namespaces | Enumerations | Functions
capabilities.hpp File Reference
Private

provide information about current thread (underlying using the widthdrawn POSIX.1e API) More...

`#include "../my_config.h"`
`#include "user_interaction.hpp"`

Go to the source code of this file.

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations
enum | libdar::capa_status { libdar::capa_set , libdar::capa_clear , capa_unknown }
| the EFFECTIVE set the value of the associated capability for the calling thread More...

## Functions
capa_status | libdar::capability_LINUX_IMMUTABLE (user_interaction &ui, bool verbose)
capa_status | libdar::capability_SYS_RESOURCE (user_interaction &ui, bool verbose)
capa_status | libdar::capability_FOWNER (user_interaction &ui, bool verbose)
capa_status | libdar::capability_CHOWN (user_interaction &ui, bool verbose)

## Detailed Description

provide information about current thread (underlying using the widthdrawn POSIX.1e API)

Definition in file capabilities.hpp.